#include <iostream>

using namespace std;


int main(){

  ios_base::sync_with_stdio(false);
  cin.tie(NULL);

  long long suma;
  char cifra;

  int broj = 0;

  cin >> suma;

  while (suma) {
    cifra = suma % 10;
    switch(cifra){
      case 1: ++broj; break;
      case 2: ++broj; break;
      case 3: broj += 2; break;
      case 4: broj += 2; break;
      case 5: ++broj; break;
      case 6: broj += 2; break;
      case 7: broj += 2; break;
      case 8: broj += 3; break;
      case 9: broj += 3; break;
      case 0: break;
      default: break;
    }
    suma /= 10;
  }

  cout << broj << endl;


  return 0;
}